Subject: [bug#77203] [PATCH v2 0/4] Linux native filesystem encryption (fscrypt).

From: 45mg <[email-masked]>
Date: Sun, 06 Apr 2025 06:38:09 +0000

Leo Famulari <[email-masked]> writes:

> On Fri, Apr 04, 2025 at 12:10:46AM +0530, 45mg wrote:
>> Addresses initial feedback [1].
>> 
>> v1: [2].
>> 
>> Actually, 1/4 is not sufficient for the option to take effect in existing
>> kernel versions, as the corresponding files in
>> gnu/packages/aux-files/linux-libre/ need to change as well. Do I need to
>> change these myself? Or do we wait until the next kernel version and add it
>> only to the new files?
>
> Can you be specific about what changes need to be made to the kernel
> configs? We should feel free to change.

Actually, ignore that - I don't think any changes are required.

After posting v1 I tried to build a VM with it, and when I checked
/proc/config.gz inside the VM CONFIG_FS_ENCRYPTION was not enabled. So I
thought maybe it needed to be enabled in aux-files/*.

But I tried it again, and when I do './pre-inst-env guix build
linux-libre' with this patch applied, I see this output from the
configure phase:

FS Encryption (Per-file encryption) (FS_ENCRYPTION) [Y/n/?] y

So I guess I must have done something wrong when building the VM, since
the option is clearly enabled for the build.